Subject: [OSPF] Last Call: <draft-ietf-ospf-manet-single-hop-mdr-03.txt> (Use of OSPF-MDR in Single-Hop Broadcast Networks) to Experimental RFC

From: The IESG <[email-masked]>
Date: Wed, 05 Jun 2013 08:09:55 -0700

The IESG has received a request from the Open Shortest Path First IGP WG
(ospf) to consider the following document:
- 'Use of OSPF-MDR in Single-Hop Broadcast Networks'
  <draft-ietf-ospf-manet-single-hop-mdr-03.txt> as Experimental RFC

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2013-06-19. Exceptionally, comments may be
sent to [email-masked] instead. In either case, please retain the
beginning of the Subject line to allow automated sorting.

Abstract

RFC 5614 (OSPF-MDR) extends OSPF to support mobile ad hoc networks
(MANETs) by specifying its operation on the new OSPF interface of type
MANET.  This document describes the use of OSPF-MDR in a single-hop
broadcast network, which is a special case of a MANET in which each
router is a (one-hop) neighbor of each other router.  Unlike an OSPF
broadcast interface, such an interface can have a different cost
associated with each neighbor.  The document includes configuration
recommendations and simplified mechanisms that can be used in single-hop
broadcast networks.

The file can be obtained via
http://datatracker.ietf.org/doc/draft-ietf-ospf-manet-single-hop-mdr/

IESG discussion can be tracked via
http://datatracker.ietf.org/doc/draft-ietf-ospf-manet-single-hop-mdr/ballot/

No IPR declarations have been submitted directly on this I-D.

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Thu, 6 Jun 2013 14:22:16 +0000

Abdussalam, 

I'm forwarding your email to the OSPF mailing list and Acee Lindem (the document shepherd). Just FYI, no one on the MANET list has responded since this is an OSPF issue. 

Regards,
Stan

On Jun 6, 2013, at 6:20 AM, Abdussalam Baryun wrote:

> Dear IETF AD,
> 
> I hope that my questions are to be answered. Please note that I don't
> think I have to remind editors even if they are busy, because I am
> busy as well. IMHO, if an editor is busy or not able to reply to
> community he/she should not take any work of the IETF. Please note
> that this is a public complain from me about the editors of this I-D
> not answering to my questions.
> 
> AB
> 
> On 6/6/13, Adrian Farrel <[email-masked]> wrote:
>> Heads up.
>> 
>> This I-D is in IETF last call.
>> 
>> I know some of you had comments on a previous version. Please send any
>> further
>> comments as described for IETF last call and *NOT* to this list.
>> 
>> Thanks,
>> Adrian
>> 
>>> -----Original Message-----
>>> From: [email-masked] [mailto:ietf-announce-
>>> [email-masked]] On Behalf Of The IESG
>>> Sent: 05 June 2013 16:10
>>> To: IETF-Announce
>>> Cc: [email-masked]
>>> Subject: Last Call: <draft-ietf-ospf-manet-single-hop-mdr-03.txt> (Use of
>> OSPF-
>>> MDR in Single-Hop Broadcast Networks) to Experimental RFC
>>> 
>>> 
>> _______________________________________________
>> manet mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/manet
>> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet

---

From: Acee Lindem <[email-masked]>
Date: Thu, 6 Jun 2013 14:53:59 +0000

Abdussalam, 

Your questions on this OSPF WG document were not posted to the OSPF list. Hence, your "public complaint" is completely without merit. Please refer to RFC 2026, section 1.2. 

Thanks,
Acee

---

From: Acee Lindem <[email-masked]>
Date: Thu, 6 Jun 2013 15:44:50 +0000

Even when we WG call a document in multiple WGs, the comments need to be posted in the draft's home WG. Given that there are 8 or so WGs that have affinity with OSPF, I do not follow all of them. 
Thanks,
Acee 

On Jun 6, 2013, at 11:12 AM, Abdussalam Baryun wrote:

> Hi Acee,
> 
> The draft is about MANET as well as OSPF, so I posted to the author
> address my questions including the MANET list. I may agree that I
> should have send also to OSPF, but also think that OSPF should have
> send collaboration request with MANET WG from the start of the work. I
> understoond that there was collaboration between WG Chairs, but why
> not the participants of both WGs. Don't we all work in the same IETF?
> Please advise,
> 
> AB
> 
> On 6/6/13, Acee Lindem <[email-masked]> wrote:
>> Abdussalam,
>> 
>> Your questions on this OSPF WG document were not posted to the OSPF list.
>> Hence, your "public complaint" is completely without merit. Please refer to
>> RFC 2026, section 1.2.
>> 
>> Thanks,
>> Acee
>> 
>>> I'm forwarding your email to the OSPF mailing list and Acee Lindem (the
>>> document shepherd). Just FYI, no one on the MANET list has responded since
>>> this is an OSPF issue.
>>> 
>>> Regards,
>>> Stan
>>>

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 16 Jun 2013 21:40:34 +0200

The following were first of my comments on the document and I got some answers;

http://www.ietf.org/mail-archive/web/manet/current/msg15401.html
http://www.ietf.org/mail-archive/web/manet/current/msg15418.html

Answers
http://www.ietf.org/mail-archive/web/manet/current/msg15408.html
http://www.ietf.org/mail-archive/web/ietf/current/msg79931.html

As a request from the chair and for wg information, after I got to be
subscribed in this WG. Thanking you,

AB

---

From: Acee Lindem <[email-masked]>
Date: Sun, 16 Jun 2013 21:57:36 +0000

Abdu, 

This is an extension to an existing OSPF specification (FRC 5614). Even if it weren't, the OSPF WG has no mandate to adhere to RFC 5444 or any other MANET WG documents. Since this work was previously done in the OSPF WG, there is no reason to even consider bringing it to MANET (although we welcome their review). 

Thanks,
Acee  

On Jun 16, 2013, at 3:40 PM, Abdussalam Baryun wrote:

> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 17 Jun 2013 10:56:22 +0100

Hi Acee,

I distinguish between the word MANET and OSPF they are not the same thing
but all are for same IETF. One is a network and the other is a protocol, so
the network is more general than a protocol in terms of applicability. The
RFC5614 is specification related to the MANET network, but I know that this
WG done the work, but I always think it is important to have joint work
between related WGs participants not separation within IETF. All RFCs are
for the same IETF so they should be related some how.

Abdu

On Sun, Jun 16, 2013 at 10:57 PM, Acee Lindem <[email-masked]>wrote:

> Abdu,
>
> This is an extension to an existing OSPF specification (FRC 5614). Even if
> it weren't, the OSPF WG has no mandate to adhere to RFC 5444 or any other
> MANET WG documents. Since this work was previously done in the OSPF WG,
> there is no reason to even consider bringing it to MANET (although we
> welcome their review).
>
> Thanks,
> Acee
>

---

From: Acee Lindem <[email-masked]>
Date: Mon, 17 Jun 2013 12:36:07 +0000

Hi Abdu,

On Jun 17, 2013, at 5:56 AM, Abdussalam Baryun wrote:

Hi Acee,

I distinguish between the word MANET and OSPF they are not the same thing but all are for same IETF. One is a network and the other is a protocol, so the network is more general than a protocol in terms of applicability.

Agreed.

The RFC5614 is specification related to the MANET network, but I know that this WG done the work, but I always think it is important to have joint work between related WGs participants not separation within IETF. All RFCs are for the same IETF so they should be related some how.

At a high level, I agree and this is why we have an IETF Last Call. In practice, the alignment of multiple WGs with overlapping charters is a difficult problem. However, in this specific case, I don't agree that it is desirable for there to be alignment. RFC 5444 is about packet formats and encoding for protocols in the MANET WG (as opposed to MANET networks in the broader sense). Hence, I don't see that it has applicability here and it may not even have applicability to MANET protocols that predate it.

Thanks,
Acee

Abdu

On Sun, Jun 16, 2013 at 10:57 PM, Acee Lindem <[email-masked]<mailto:[email-masked]>> wrote:
Abdu,

Thanks,
Acee

On Jun 16, 2013, at 3:40 PM, Abdussalam Baryun wrote:

> [email-masked]<mailto:[email-masked]>